Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Eclipse 4 » Issues with Kepler M4 and E4 Tools
Issues with Kepler M4 and E4 Tools [message #991167] Mon, 17 December 2012 10:26 Go to next message
Dirk Fauth is currently offline Dirk Fauth
Messages: 1214
Registered: July 2012
Senior Member
Hi,

I just downloaded Kepler M4 and tried to import the e4 tools projects. The CSS editor and CSS editor UI are failing. Also it is not possible to install the CSS editor into Kepler M4.

After some research I've found out that Kepler M4 comes with a com.ibm.icu_50.1.0...

Can this be correct? In Kepler M3 it was com.ibm.icu_4.4.2...

This seems to be the cause for not being able to install the CSS editor. Xtext UI Core defines its dependency to com.ibm.icu like this

com.ibm.icu [4.0.0,5.0.0)

so 50.1 is not included.

Is it a workaround to change the bundle manually to 4.4.2 out of the M3?

Greez,
Dirk
Re: Issues with Kepler M4 and E4 Tools [message #991215 is a reply to message #991167] Mon, 17 December 2012 14:30 Go to previous messageGo to next message
Phillipus B is currently offline Phillipus B
Messages: 18
Registered: October 2012
Junior Member
It's a problem. When I try to install it I get an error:

Cannot complete the install because of a conflicting dependency.
Software being installed: E4 CSS editor (Incubation) 0.12.0.v20121212-1122 (org.eclipse.e4.tools.css.editor.feature.feature.group 0.12.0.v20121212-1122)
Software currently installed: Eclipse SDK 4.3.0.I20121214-0730 (org.eclipse.sdk.ide 4.3.0.I20121214-0730)
Only one of the following can be installed at once:
International Components for Unicode for Java (ICU4J) 4.4.2.v20110823 (com.ibm.icu 4.4.2.v20110823)
International Components for Unicode for Java (ICU4J) 50.1.0.v20121116-2 (com.ibm.icu 50.1.0.v20121116-2)
Cannot satisfy dependency:
From: Eclipse e4 Rich Client Platform 1.1.0.v20121210-193513-9gFTdGWGGGduU3t_iBdO01nz--4 (org.eclipse.e4.rcp.feature.group 1.1.0.v20121210-193513-9gFTdGWGGGduU3t_iBdO01nz--4)
To: com.ibm.icu
Cannot satisfy dependency:
From: E4 CSS editor (Incubation) 0.12.0.v20121212-1122 (org.eclipse.e4.tools.css.editor.feature.feature.group 0.12.0.v20121212-1122)
To: org.eclipse.e4.tools.css.editor.ui
Cannot satisfy dependency:
From: org.eclipse.e4.tools.css.editor.ui 0.12.0.v20121212-1122 (org.eclipse.e4.tools.css.editor.ui 0.12.0.v20121212-1122)
To: bundle org.eclipse.xtext.ui 0.0.0
Cannot satisfy dependency:
From: Eclipse Platform 4.3.0.v20121210-194028-9PF7VHLnG0BBkXvb-5n61JdBeLn2Lmpr5BVxLP (org.eclipse.platform.feature.group 4.3.0.v20121210-194028-9PF7VHLnG0BBkXvb-5n61JdBeLn2Lmpr5BVxLP)
To: org.eclipse.rcp.feature.group
Cannot satisfy dependency:
From: Eclipse RCP 4.3.0.v20121212-184727-7IAUA7Bs-QiyWqWVNz0_nT4qjCeP (org.eclipse.rcp.feature.group 4.3.0.v20121212-184727-7IAUA7Bs-QiyWqWVNz0_nT4qjCeP)
To: org.eclipse.e4.rcp.feature.group
Cannot satisfy dependency:
From: Eclipse Project SDK 4.3.0.v20120906-193403-7V7p-DQ72z-z-8U8IIz0Ennw4DFBv216MQ_3m27IU_Kz0 (org.eclipse.sdk.feature.group 4.3.0.v20120906-193403-7V7p-DQ72z-z-8U8IIz0Ennw4DFBv216MQ_3m27IU_Kz0)
To: org.eclipse.platform.feature.group
Cannot satisfy dependency:
From: Eclipse SDK 4.3.0.I20121214-0730 (org.eclipse.sdk.ide 4.3.0.I20121214-0730)
To: org.eclipse.sdk.feature.group [4.3.0.v20120906-193403-7V7p-DQ72z-z-8U8IIz0Ennw4DFBv216MQ_3m27IU_Kz0]
Cannot satisfy dependency:
From: Xtext UI Core 2.4.0.v201208210511 (org.eclipse.xtext.ui 2.4.0.v201208210511)
To: bundle com.ibm.icu [4.0.0,5.0.0)
Cannot satisfy dependency:
From: Xtext UI Core 2.4.0.v201210020512 (org.eclipse.xtext.ui 2.4.0.v201210020512)
To: bundle com.ibm.icu [4.0.0,5.0.0)
Cannot satisfy dependency:
From: Xtext UI Core 2.4.0.v201211130833 (org.eclipse.xtext.ui 2.4.0.v201211130833)
To: bundle com.ibm.icu [4.0.0,5.0.0)

Re: Issues with Kepler M4 and E4 Tools [message #991270 is a reply to message #991215] Tue, 18 December 2012 04:28 Go to previous messageGo to next message
Sopot Cela is currently offline Sopot Cela
Messages: 596
Registered: December 2010
Senior Member

Yes we have an issue with Xtext not behaving good with the new ICU for reasons of versioning. It's still settling so in the next builds should be fixed. https://bugs.eclipse.org/bugs/show_bug.cgi?id=395967
Re: Issues with Kepler M4 and E4 Tools [message #991275 is a reply to message #991270] Tue, 18 December 2012 04:51 Go to previous message
Dirk Fauth is currently offline Dirk Fauth
Messages: 1214
Registered: July 2012
Senior Member
As suggested by Paul Webster in the linked bug report, I installed the latest Xtext version manually. This solves the issue mentioned above.

Thanks Sopot for pointing to the bug Smile
Previous Topic:Dropdown ToolItems don't show Menu
Next Topic:GridTreeViewer: selection changed listener and viewer.setSelection
Goto Forum:
  


Current Time: Sat Jul 26 01:11:52 EDT 2014

Powered by FUDForum. Page generated in 0.02485 seconds